
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "HROOT-histType.h"

#include "HROOTHistTH1.h"

#include "HROOTCoreTArrayD.h"

#include "HROOTCoreTNamed.h"

#include "HROOTCoreTAttLine.h"

#include "HROOTCoreTAttFill.h"

#include "HROOTCoreTAttMarker.h"

#include "HROOTCoreTObject.h"

#include "STDDeletable.h"

#include "HROOTCoreTArray.h"

#include "HROOT-coreType.h"


#define TH1D_DECL_VIRT(Type) \



#define TH1D_DECL_NONVIRT(Type) \
Type##_p Type##_newTH1D ( const char* name, const char* title, int nbinsx, double xlow, double xup );


#define TH1D_DECL_ACCESSOR(Type) \



#define TH1D_DEF_VIRT(Type) \



#define TH1D_DEF_NONVIRT(Type) \
Type##_p Type##_newTH1D ( const char* name, const char* title, int nbinsx, double xlow, double xup ) {\
Type* newp=new Type(name, title, nbinsx, xlow, xup);return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define TH1D_DEF_ACCESSOR(Type) \



TH1_DECL_VIRT(TH1D)
TARRAYD_DECL_VIRT(TH1D)
TNAMED_DECL_VIRT(TH1D)
TATTLINE_DECL_VIRT(TH1D)
TATTFILL_DECL_VIRT(TH1D)
TATTMARKER_DECL_VIRT(TH1D)
TOBJECT_DECL_VIRT(TH1D)
DELETABLE_DECL_VIRT(TH1D)
TARRAY_DECL_VIRT(TH1D)
TH1D_DECL_VIRT(TH1D)
TH1D_DECL_NONVIRT(TH1D)
TH1D_DECL_ACCESSOR(TH1D)

#ifdef __cplusplus
}
#endif

